<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ElementHandle](./puppeteer.elementhandle.md) &gt; [click](./puppeteer.elementhandle.click.md)

## ElementHandle.click() method

This method scrolls element into view if needed, and then uses [Page.mouse](./puppeteer.page.mouse.md) to click in the center of the element. If the element is detached from DOM, the method throws an error.

<b>Signature:</b>

```typescript
click(options?: ClickOptions): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [ClickOptions](./puppeteer.clickoptions.md) |  |

<b>Returns:</b>

Promise&lt;void&gt;

